package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AuditMsgExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public AuditMsgExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("`type` is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("`type` is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(Integer value) {
            addCriterion("`type` =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(Integer value) {
            addCriterion("`type` <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(Integer value) {
            addCriterion("`type` >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("`type` >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(Integer value) {
            addCriterion("`type` <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(Integer value) {
            addCriterion("`type` <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<Integer> values) {
            addCriterion("`type` in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<Integer> values) {
            addCriterion("`type` not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(Integer value1, Integer value2) {
            addCriterion("`type` between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("`type` not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdIsNull() {
            addCriterion("submit_object_id is null");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdIsNotNull() {
            addCriterion("submit_object_id is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdEqualTo(Long value) {
            addCriterion("submit_object_id =", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdNotEqualTo(Long value) {
            addCriterion("submit_object_id <>", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdGreaterThan(Long value) {
            addCriterion("submit_object_id >", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdGreaterThanOrEqualTo(Long value) {
            addCriterion("submit_object_id >=", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdLessThan(Long value) {
            addCriterion("submit_object_id <", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdLessThanOrEqualTo(Long value) {
            addCriterion("submit_object_id <=", value, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdIn(List<Long> values) {
            addCriterion("submit_object_id in", values, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdNotIn(List<Long> values) {
            addCriterion("submit_object_id not in", values, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdBetween(Long value1, Long value2) {
            addCriterion("submit_object_id between", value1, value2, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectIdNotBetween(Long value1, Long value2) {
            addCriterion("submit_object_id not between", value1, value2, "submitObjectId");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameIsNull() {
            addCriterion("submit_object_name is null");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameIsNotNull() {
            addCriterion("submit_object_name is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameEqualTo(String value) {
            addCriterion("submit_object_name =", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameNotEqualTo(String value) {
            addCriterion("submit_object_name <>", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameGreaterThan(String value) {
            addCriterion("submit_object_name >", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameGreaterThanOrEqualTo(String value) {
            addCriterion("submit_object_name >=", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameLessThan(String value) {
            addCriterion("submit_object_name <", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameLessThanOrEqualTo(String value) {
            addCriterion("submit_object_name <=", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameLike(String value) {
            addCriterion("submit_object_name like", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameNotLike(String value) {
            addCriterion("submit_object_name not like", value, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameIn(List<String> values) {
            addCriterion("submit_object_name in", values, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameNotIn(List<String> values) {
            addCriterion("submit_object_name not in", values, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameBetween(String value1, String value2) {
            addCriterion("submit_object_name between", value1, value2, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitObjectNameNotBetween(String value1, String value2) {
            addCriterion("submit_object_name not between", value1, value2, "submitObjectName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameIsNull() {
            addCriterion("submit_op_name is null");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameIsNotNull() {
            addCriterion("submit_op_name is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameEqualTo(String value) {
            addCriterion("submit_op_name =", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameNotEqualTo(String value) {
            addCriterion("submit_op_name <>", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameGreaterThan(String value) {
            addCriterion("submit_op_name >", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameGreaterThanOrEqualTo(String value) {
            addCriterion("submit_op_name >=", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameLessThan(String value) {
            addCriterion("submit_op_name <", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameLessThanOrEqualTo(String value) {
            addCriterion("submit_op_name <=", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameLike(String value) {
            addCriterion("submit_op_name like", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameNotLike(String value) {
            addCriterion("submit_op_name not like", value, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameIn(List<String> values) {
            addCriterion("submit_op_name in", values, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameNotIn(List<String> values) {
            addCriterion("submit_op_name not in", values, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameBetween(String value1, String value2) {
            addCriterion("submit_op_name between", value1, value2, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpNameNotBetween(String value1, String value2) {
            addCriterion("submit_op_name not between", value1, value2, "submitOpName");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdIsNull() {
            addCriterion("submit_op_id is null");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdIsNotNull() {
            addCriterion("submit_op_id is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdEqualTo(Long value) {
            addCriterion("submit_op_id =", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdNotEqualTo(Long value) {
            addCriterion("submit_op_id <>", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdGreaterThan(Long value) {
            addCriterion("submit_op_id >", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdGreaterThanOrEqualTo(Long value) {
            addCriterion("submit_op_id >=", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdLessThan(Long value) {
            addCriterion("submit_op_id <", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdLessThanOrEqualTo(Long value) {
            addCriterion("submit_op_id <=", value, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdIn(List<Long> values) {
            addCriterion("submit_op_id in", values, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdNotIn(List<Long> values) {
            addCriterion("submit_op_id not in", values, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdBetween(Long value1, Long value2) {
            addCriterion("submit_op_id between", value1, value2, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andSubmitOpIdNotBetween(Long value1, Long value2) {
            addCriterion("submit_op_id not between", value1, value2, "submitOpId");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoIsNull() {
            addCriterion("audit_serial_no is null");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoIsNotNull() {
            addCriterion("audit_serial_no is not null");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoEqualTo(String value) {
            addCriterion("audit_serial_no =", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoNotEqualTo(String value) {
            addCriterion("audit_serial_no <>", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoGreaterThan(String value) {
            addCriterion("audit_serial_no >", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoGreaterThanOrEqualTo(String value) {
            addCriterion("audit_serial_no >=", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoLessThan(String value) {
            addCriterion("audit_serial_no <", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoLessThanOrEqualTo(String value) {
            addCriterion("audit_serial_no <=", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoLike(String value) {
            addCriterion("audit_serial_no like", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoNotLike(String value) {
            addCriterion("audit_serial_no not like", value, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoIn(List<String> values) {
            addCriterion("audit_serial_no in", values, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoNotIn(List<String> values) {
            addCriterion("audit_serial_no not in", values, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoBetween(String value1, String value2) {
            addCriterion("audit_serial_no between", value1, value2, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andAuditSerialNoNotBetween(String value1, String value2) {
            addCriterion("audit_serial_no not between", value1, value2, "auditSerialNo");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNull() {
            addCriterion("remarks is null");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNotNull() {
            addCriterion("remarks is not null");
            return (Criteria) this;
        }

        public Criteria andRemarksEqualTo(String value) {
            addCriterion("remarks =", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotEqualTo(String value) {
            addCriterion("remarks <>", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThan(String value) {
            addCriterion("remarks >", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("remarks >=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThan(String value) {
            addCriterion("remarks <", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThanOrEqualTo(String value) {
            addCriterion("remarks <=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLike(String value) {
            addCriterion("remarks like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotLike(String value) {
            addCriterion("remarks not like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksIn(List<String> values) {
            addCriterion("remarks in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotIn(List<String> values) {
            addCriterion("remarks not in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksBetween(String value1, String value2) {
            addCriterion("remarks between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotBetween(String value1, String value2) {
            addCriterion("remarks not between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdIsNull() {
            addCriterion("audit_op_id is null");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdIsNotNull() {
            addCriterion("audit_op_id is not null");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdEqualTo(Long value) {
            addCriterion("audit_op_id =", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdNotEqualTo(Long value) {
            addCriterion("audit_op_id <>", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdGreaterThan(Long value) {
            addCriterion("audit_op_id >", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdGreaterThanOrEqualTo(Long value) {
            addCriterion("audit_op_id >=", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdLessThan(Long value) {
            addCriterion("audit_op_id <", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdLessThanOrEqualTo(Long value) {
            addCriterion("audit_op_id <=", value, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdIn(List<Long> values) {
            addCriterion("audit_op_id in", values, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdNotIn(List<Long> values) {
            addCriterion("audit_op_id not in", values, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdBetween(Long value1, Long value2) {
            addCriterion("audit_op_id between", value1, value2, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpIdNotBetween(Long value1, Long value2) {
            addCriterion("audit_op_id not between", value1, value2, "auditOpId");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameIsNull() {
            addCriterion("audit_op_name is null");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameIsNotNull() {
            addCriterion("audit_op_name is not null");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameEqualTo(String value) {
            addCriterion("audit_op_name =", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameNotEqualTo(String value) {
            addCriterion("audit_op_name <>", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameGreaterThan(String value) {
            addCriterion("audit_op_name >", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameGreaterThanOrEqualTo(String value) {
            addCriterion("audit_op_name >=", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameLessThan(String value) {
            addCriterion("audit_op_name <", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameLessThanOrEqualTo(String value) {
            addCriterion("audit_op_name <=", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameLike(String value) {
            addCriterion("audit_op_name like", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameNotLike(String value) {
            addCriterion("audit_op_name not like", value, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameIn(List<String> values) {
            addCriterion("audit_op_name in", values, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameNotIn(List<String> values) {
            addCriterion("audit_op_name not in", values, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameBetween(String value1, String value2) {
            addCriterion("audit_op_name between", value1, value2, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andAuditOpNameNotBetween(String value1, String value2) {
            addCriterion("audit_op_name not between", value1, value2, "auditOpName");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}